# php-chrooter

Use [chroot with PHP](https://www.php.net/manual/fr/function.chroot.php) anbd isolate your website.

## Configure
To use it, edit chroot.sh and edit 3 variables :

| Variable | Description |
| -------- | ----------- |
| CHROOTPATH | The path where this script store all files, bin, lib needed to chroot website (create this before) | 
| ZONEINFO | The path where zoneinfo is stored. Find this with `find /usr -type d -name "zoneinfo"` |

## Use``
`bash chroot.sh --install` copy all dependencies and store it on CHROOTPATH.
`bash chroot.sh --upgrade` upgrade all dependencies in CHROOTPATH. 
`bash chroot.sh --configure /my/website/path` add all dependencies in website folder mostly with hardlink.